<?php

namespace Internetgalerie\IgDatapoolFe\Validation\Validator;

/**
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

class CountValidator extends \TYPO3\CMS\Extbase\Validation\Validator\AbstractValidator
{
    use ValidatorTrait;

    protected $supportedOptions = ['minimum' => [0, 'The minimum count to accept', 'integer'], 'maximum' => [PHP_INT_MAX, 'The maximum count to accept', 'integer']];

    protected function isValid($value)
    {
        if (!is_array($value) && !($value instanceof \Countable)) {
            $this -> addError('The given subject was not countable.', 1253718666);
            return;
        }
        $minimum = intval($this -> options['minimum']);
        $maximum = intval($this -> options['maximum']);
        if (count($value) > $maximum) {
            $this -> addError($this -> translateErrorMessage('validator.count.tooMany', 'ig_datapool_fe'), 1221559976);
        } elseif (count($value) < $minimum) {
            $this -> addError($this -> translateErrorMessage('validator.count.tooFew', 'ig_datapool_fe'), 1221559976);
        }
    }
}
