<?php

namespace Internetgalerie\IgDatapoolFe\Validation\Validator;

/**
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

/**
 * Validator for email addresses
 *
 * @api
 */
class EmailAddressValidator extends \TYPO3\CMS\Extbase\Validation\Validator\EmailAddressValidator
{
    use ValidatorTrait;

    /**
     * Checking syntax of input email address
     *
     * @param  string $emailAddress Input string to evaluate
     * @return boolean Returns TRUE if the $email address (input string) is valid
     */
    protected function validEmail($emailAddress)
    {
        $res = \TYPO3\CMS\Core\Utility\GeneralUtility::validEmail($emailAddress);
        // MX check
        list($empty, $domain) = \TYPO3\CMS\Core\Utility\GeneralUtility::trimExplode('@', $emailAddress);
        $mx = [];
        return $res && getmxrr($domain, $mx);
    }
}
