<?php

namespace Internetgalerie\IgDatapoolFe\Validation\Validator;

use TYPO3\CMS\Core\Utility\GeneralUtility\GeneralUtility;

/**
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

/**
 * Validator for Files
 *
 * @api
 */
class EqualsValidator extends \TYPO3\CMS\Extbase\Validation\Validator\AbstractValidator
{
    use ValidatorTrait;

    /**
     * @var array
     */
    protected $supportedOptions = ['field' => ['', 'Fieldname', 'string']];

    /**
     * Checks if the given file is valid
     *
     * @param  mixed $value The value that should be validated
     * @return void
     * @api
     */
    public function isValid($value)
    {
        if ($this -> options['field'] == '') {
            $this -> addError('No field specified to compare the value with!', 1221559976);
        }
        if (($gov = GenericObjectValidator::$currentObjectValidator) != null) {
            $otherValue = $gov -> getCurrentObjectPropertyValue($this -> options['field']);
        }
        if ($otherValue != $value) {
            $this -> addError($this -> translateErrorMessage('validator.equals.notEquals', 'ig_render'), 1221559976);
        }
    }
}
