<?php

namespace Internetgalerie\IgDatapoolFe\Validation\Validator;

/**
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

/**
 * Validator for Urls
 *
 * @api
 */
class UrlValidator extends \TYPO3\CMS\Extbase\Validation\Validator\AbstractValidator
{
    use ValidatorTrait;

    /**
     * Checks if the given value is a valid URL
     *
     * @param  mixed $value The value that should be validated
     * @return void
     * @api
     */
    public function isValid($value)
    {
        $pattern = '/((?:https?:\\/\\/|www\d*\.)[^\s<]+[-\w+&@#\\/%=\~|])/ie';
        if (!preg_match($pattern, $value)) {
            $this -> addError($this -> translateErrorMessage('validator.url.notvalid', 'ig_render'), 1221559976);
        }
    }
}
